---
id: 66cc1a3a39aef47d6473cb2f
title: Step 13
challengeType: 1
dashedName: step-13
---

# --description--

The next step is to add the division functionality to your calculator.

Declare a function called `calculateQuotient` that takes two parameters, `num1` and `num2`.

Inside the function, return the quotient of the two parameters.

Then, add a `console.log` that calls the `calculateQuotient` function with the arguments `7` and `11`.

# --hints--

You should have a function called `calculateQuotient`.

```js
assert.isFunction(calculateQuotient);
```

Your `calculateQuotient` function should have two parameters called `num1` and `num2`.

```js
const regex = __helpers.functionRegex('calculateQuotient', ['num1', 'num2']);
assert.match(__helpers.removeJSComments(code), regex);
```

Your `calculateQuotient` function should return the quotient of the two parameters.

```js
assert.equal(calculateQuotient(10, 2), 5);
assert.equal(calculateQuotient(100, 10), 10);
```

You should have a `console.log` that calls the `calculateQuotient` function with the arguments `7` and `11`.

```js
assert.match(code, /console\.log\s*\(\s*calculateQuotient\s*\(\s*7\s*,\s*11\s*\)\s*\)\s*;?/);
```

# --seed--

## --seed-contents--

```js
function calculateSum(num1, num2) {
  return num1 + num2;
}

console.log(calculateSum(2, 5));
console.log(calculateSum(10, 10));
console.log(calculateSum(5, 5));

function calculateDifference(num1, num2) {
  return num1 - num2;
}

console.log(calculateDifference(22, 5));
console.log(calculateDifference(12, 1));
console.log(calculateDifference(17, 9));

function calculateProduct(num1, num2) {
  return num1 * num2;
}

console.log(calculateProduct(13, 5));

--fcc-editable-region--

--fcc-editable-region--
```
